System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Method | System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.Event | System.AttributeTargets.All)

When a serializer persists the persistable state of a design mode document, it often adds code to the initialization method of components to persist values of properties that have been set at design time. This happens by default for most basic types, if no attribute has been set to direct other behavior.

With the , you can indicate whether the value for a property is , and should be persisted in initialization code, , and should not be persisted in initialization code, or consists of , which should have initialization code generated for each public, not hidden property of the object assigned to the property.

Members that do not have a will be treated as though they have a with a value of . The values of a property marked as will be serialized, if possible, by a serializer for the type. To specify custom serialization for a particular type or property, use the .

For more information, see Extending Metadata Using Attributes.

Specifies the type of persistence to use when serializing a property on a component at design time.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added: an object of type 'DesignerSerializationVisibility'
  To be added

  Initializes a new instance of the class using the specified value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerSerializationVisibilityAttribute

  When you mark a property with DesignerSerializationVisibilityAttribute.Content, the value of its property is set to .

  Specifies that a serializer should serialize the contents of the property, rather than the property itself. This field is read-only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerSerializationVisibilityAttribute

  When you mark a property with this value, this attribute is set to the constant member . Therefore, when you want to check whether the attribute is set to this value in your code, you must specify the attribute as .

  Specifies the default value, which is , that is, a visual designer uses default rules to generate the value of a property. This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Indicates whether this instance and a specified object are equal.

  true if is equal to this instance; otherwise, false.

  Another object to compare to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this object.

  A 32-bit signed integer hash code.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerSerializationVisibilityAttribute

  When you mark a property with DesignerSerializationVisibilityAttribute.Hidden, the value of its property is set to the constant member .

  Specifies that a serializer should not serialize the value of the property. This static field is read-only.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added

  Gets a value indicating whether the current value of the attribute is the default value for the attribute.

  true if the attribute is set to the default value; otherwise, false.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerSerializationVisibility To be added: an object of type 'DesignerSerializationVisibility' To be added

  Gets a value indicating the basic serialization mode a serializer should use when determining whether and how to persist the value of a property.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.DesignerSerializationVisibilityAttribute

  This field is the default setting for this attribute.

  When you mark a property with DesignerSerializationVisibilityAttribute.Visible, the value of its Visibility property is set to the constant member .

  Specifies that a serializer should be allowed to serialize the value of the property. This static field is read-only.